Important Info for Polycom Phones with CIC | CPI's Interactive Intelligence Blog

Important Info for Polycom Phones with CIC

Subscribe to this Blog:


Enter Email:


Validate Code:

David Currier

If your organization is planning to purchase new Polycom phones to be used with an Interactive Intelligence CIC system, it is VERY important to verify that your CIC software is up-to-date to be able to support them. Earlier this year, Polycom introduced a new MAC address range for their phones due to running out of older addresses. To support this, they have released new firmware that is included with current releases of CIC.

As of the writing of this post, the available releases of CIC are:

  • CIC 2015 R4 Patch 21
  • CIC 2016 R1 Patch 22
  • CIC 2016 R2 Patch 18
  • CIC 2016 R3 Patch 15
  • CIC 2016 R4 Patch 8
  • CIC 2017 R1 Patch 2
 

If your CIC version is older than 2015 (with Patch that includes the newer firmware), these newer phones will not function with CIC as managed phones and a CIC update will be required.

 

Need help with a CIC update? Please let us know.


comments powered by Disqus

Posted in